View Issue Details

IDProjectCategoryView StatusLast Update
0000221OpenFOAM[All Projects] Bugpublic2011-06-21 04:15
ReporterwyldckatAssigned Tochris 
PriorityhighSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Fixed in Version 
Summary0000221: Missing system packages on the list at the official source code instructions
DescriptionIn both source source instructions:
* http://www.openfoam.com/download/source.php
* http://www.openfoam.com/download/git.php

It's at least missing the package "zlib1g-dev" on the Ubuntu list.
I assume that the same goes for OpenSuSE, although it's another name for the package...

Source: http://www.cfd-online.com/Forums/openfoam-installation/89657-openfoam-2-0-0-installation.html
TagsNo tags attached.

Activities

chris

2011-06-19 15:36

manager   ~0000450

We are trying to keep the list of required packages as short as possible so where packages are installed as dependencies (and dependencies of dependencies, etc) we don't list them. That way we minimise installation problems when people fail to copy and paste correctly.

That was the reason we chose to list package groups also, like build-essential for Ubuntu and "-t pattern devel_C_C++". Of course if people installed the openfoam deb pack, for example, they would get all the dependencies anyway (!), but apparently some people want to install from source but not the pack (even though they could simply do both).

I believe many of the packages listed on the link you sent are dependencies of others. I don't believe zlib1g-dev is necessary, but zlib1g is necessary. Please confirm otherwise. If only zlib1g is necessary, it is a dependency of cmake so is not required on the list.

wyldckat

2011-06-19 18:25

updater   ~0000451

Hi Chris,

I fully understand that you want to keep it to a minimum, but the package "zlib1g" doesn't have "zlib.h" :(
I should have posted the direct link: http://www.cfd-online.com/Forums/openfoam-installation/89657-openfoam-2-0-0-installation.html#post312612
If you see the attached file on that post, you'll see that what it's missing is "zlib.h".

But I'll boot up a VM with a clean install of Ubuntu, so it's easier to figure out if "zlib1g-dev" is on "someone's" dependencies list. I tried checking via packages.ubuntu.com, but sadly they don't have a tree like display of dependencies...

wyldckat

2011-06-19 18:50

updater  

natty-apt-get.log (2,875 bytes)

wyldckat

2011-06-19 18:50

updater  

natty-dpkg-query.log (610 bytes)

wyldckat

2011-06-19 18:59

updater   ~0000452

OK, I've uploaded two log files from a clean install of Ubuntu Natty:
* natty-apt-get.log - shows the packages to be installed when using the official installation list, not including openmpi and scotch.
* natty-dpkg-query.log - show the list of where "zlib.h" is and if zlib1g is installed or not. This list if prior to installing the previous list.

As you can see, no signs of "zlib.h" being in the standard lookup paths, nor being installed by default from the dependencies.
Although I do know that the "build-essential" dependencies list has mutated over Ubuntu versions, I don't remember if and when "zlib.h" stopped being part of the list.

Also, keep in mind that the official OpenFOAM deb packages only carry with them the dependencies for running, not for a full rebuild!


As for OpenSuSE, indeed I forgot that the development pattern carries a lot of the necessary headers and additional libraries needed for building "stuff" in OpenSuSE :)

chris

2011-06-19 19:02

manager   ~0000453

I just added the zlib1g-dev package, it is easier and safer that way. I believe the "-t pattern devel_C_C++" instruction for SuSE gets this package, so I don't think anything is missing now. If there is, we need to be told. Time constraints dictate we cannot double-check everything in a release and there is much more to a release than compilation and installation. When something is missing, we rely on feedback.

wyldckat

2011-06-19 20:03

updater   ~0000454

Will do!
OK, for Ubuntu:
* In the git instructions you're missing the "git-core" package, otherwise there's no git to be used!

* To build ParaView, the package "qt4-dev-tools" is a must, otherwise the build process will stop a couple of seconds before finalising with the cruel error "/bin/sh: QT_HELP_GENERATOR-NOTFOUND: not found". For the normal user, this means waiting 30 to 120 minutes for another rebuild :(
source: http://www.cfd-online.com/Forums/openfoam-installation/89657-openfoam-2-0-0-installation.html#post312640

I'm going to test the whole instructions in the VM with Ubuntu Natty again and give more feedback ASAP.

wyldckat

2011-06-19 23:26

updater   ~0000455

Last edited: 2011-06-19 23:46

View 2 revisions

On a clean Ubuntu Natty installation, using the git version, I've just confirmed that "git-core" and "qt4-dev-tools" are necessary.

Additionally, I've also confirmed that on a purely clean installation, right after building OpenFOAM and ParaView, the environment isn't fully prepared to build "PV3blockMeshReader and the PV3FoamReader ParaView plugins".
Running "wmSET" before "Allwmake" at the "PV3FoamReader" folder will fix the problem!


And on a related note, bug #218 ( http://www.openfoam.com/mantisbt/view.php?id=218 ) must have been "unfixed" with your latest edit. Both source code pages read:
     cd $FOAM_UTILITIES/postProcessing/graphics/PV3Readers/PV3FoamReader
     ./Allwclean
     ./Allwmake

When they should read:
     cd $FOAM_UTILITIES/postProcessing/graphics/PV3Readers
     ./Allwclean
     ./Allwmake


Well, it should actually be something like:
     wmSET
     cd $FOAM_UTILITIES/postProcessing/graphics/PV3Readers
     ./Allwclean
     ./Allwmake

chris

2011-06-20 01:26

manager   ~0000456

Thanks for the report. I _think_ all the changes are done now, but if I missed anything please let me know. Chris.

wyldckat

2011-06-20 08:43

updater   ~0000457

Last edited: 2011-06-20 13:58

View 2 revisions

Arg, so close... it's "wmSET", not "wmSet" :(

chris

2011-06-21 04:15

manager   ~0000466

Got it! Thanks. Fixed now.

Issue History

Date Modified Username Field Change
2011-06-19 12:46 wyldckat New Issue
2011-06-19 15:36 chris Note Added: 0000450
2011-06-19 15:36 chris Assigned To => chris
2011-06-19 15:36 chris Status new => assigned
2011-06-19 18:25 wyldckat Note Added: 0000451
2011-06-19 18:50 wyldckat File Added: natty-apt-get.log
2011-06-19 18:50 wyldckat File Added: natty-dpkg-query.log
2011-06-19 18:59 wyldckat Note Added: 0000452
2011-06-19 19:02 chris Note Added: 0000453
2011-06-19 19:03 chris Status assigned => closed
2011-06-19 19:03 chris Resolution open => fixed
2011-06-19 20:03 wyldckat Note Added: 0000454
2011-06-19 20:03 wyldckat Status closed => feedback
2011-06-19 20:03 wyldckat Resolution fixed => reopened
2011-06-19 23:26 wyldckat Note Added: 0000455
2011-06-19 23:26 wyldckat Status feedback => assigned
2011-06-19 23:46 wyldckat Note Edited: 0000455 View Revisions
2011-06-20 01:26 chris Note Added: 0000456
2011-06-20 01:26 chris Status assigned => resolved
2011-06-20 01:26 chris Resolution reopened => fixed
2011-06-20 08:43 wyldckat Note Added: 0000457
2011-06-20 08:43 wyldckat Status resolved => feedback
2011-06-20 08:43 wyldckat Resolution fixed => reopened
2011-06-20 13:58 wyldckat Note Edited: 0000457 View Revisions
2011-06-21 04:15 chris Note Added: 0000466
2011-06-21 04:15 chris Status feedback => resolved
2011-06-21 04:15 chris Resolution reopened => fixed